<?php
/**
 * SecondLine Theme Customizer
 *
 * @package secondline
 */

function secondline_themes_add_tab_to_panel( $tabs ) {

   $tabs['secondline-themes-navigation-font'] = array(
       'name'        => 'secondline-themes-navigation-font',
       'panel'       => 'secondline_themes_header_panel',
       'title'       => esc_html__('Navigation', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );

   $tabs['secondline-themes-sub-navigation-font'] = array(
       'name'        => 'secondline-themes-sub-navigation-font',
       'panel'       => 'secondline_themes_header_panel',
       'title'       => esc_html__('Sub-Navigation', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );


   $tabs['secondline-themes-body-font'] = array(
       'name'        => 'secondline-themes-body-font',
       'panel'       => 'secondline_themes_body_panel',
       'title'       => esc_html__('Body Main', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );


   $tabs['secondline-themes-page-title'] = array(
       'name'        => 'secondline-themes-page-title',
       'panel'       => 'secondline_themes_body_panel',
       'title'       => esc_html__('Page Title', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );

   $tabs['secondline-themes-widgets-font'] = array(
       'name'        => 'secondline-themes-widgets-font',
       'panel'       => 'secondline_themes_footer_panel',
       'title'       => esc_html__('Footer Main', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );

   $tabs['secondline-themes-copyright-font'] = array(
       'name'        => 'secondline-themes-copyright-font',
       'panel'       => 'secondline_themes_footer_panel',
       'title'       => esc_html__('Copyright Text', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );


   $tabs['secondline-themes-footer-nav-font'] = array(
       'name'        => 'secondline-themes-footer-nav-font',
       'panel'       => 'secondline_themes_footer_panel',
       'title'       => esc_html__('Footer Navigation', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );




   $tabs['secondline-themes-default-headings'] = array(
       'name'        => 'secondline-themes-default-headings',
       'panel'       => 'secondline_themes_body_panel',
       'title'       => esc_html__('H1-H6 Headings', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );




   $tabs['secondline-themes-sidebar-headings'] = array(
       'name'        => 'secondline-themes-sidebar-headings',
       'panel'       => 'secondline_themes_body_panel',
       'title'       => esc_html__('Sidebar Options', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );

   $tabs['secondline-themes-button-typography'] = array(
       'name'        => 'secondline-themes-button-typography',
       'panel'       => 'secondline_themes_body_panel',
       'title'       => esc_html__('Button Styles', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );




   $tabs['secondline-themes-blog-headings'] = array(
       'name'        => 'secondline-themes-blog-headings',
       'panel'       => 'secondline_themes_blog_panel',
       'title'       => esc_html__('Post Archive Styles', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );

   $tabs['secondline-themes-blog-post-options'] = array(
       'name'        => 'secondline-themes-blog-post-options',
       'panel'       => 'secondline_themes_blog_panel',
       'title'       => esc_html__('Post Options', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );

   $tabs['secondline-themes-blog-post-styles'] = array(
       'name'        => 'secondline-themes-blog-post-styles',
       'panel'       => 'secondline_themes_blog_panel',
       'title'       => esc_html__('Post Styles', 'podcaster-secondline'),
       'description' => '',
       'sections'    => array(),
   );


    // Return the tabs.
    return $tabs;
}
add_filter( 'tt_font_get_settings_page_tabs', 'secondline_themes_add_tab_to_panel' );

/**
 * How to add a font control to your tab
 *
 * @see  parse_font_control_array() - in class EGF_Register_Options
 *       in includes/class-egf-register-options.php to see the full
 *       properties you can add for each font control.
 *
 *
 * @param   array $controls - Existing Controls.
 * @return  array $controls - Controls with controls added/removed.
 *
 * @since 1.0
 * @version 1.0
 *
 */
function secondline_themes_add_control_to_tab( $controls ) {

    /**
     * 1. Removing default styles because we add-in our own
     */
    unset( $controls['tt_default_body'] );
    unset( $controls['tt_default_heading_1'] );
    unset( $controls['tt_default_heading_2'] );
    unset( $controls['tt_default_heading_3'] );
    unset( $controls['tt_default_heading_4'] );
    unset( $controls['tt_default_heading_5'] );
    unset( $controls['tt_default_heading_6'] );


    /**
     * 2. Now custom examples that are theme specific
     */



    $controls['secondline_themes_body_font_family'] = array(
        'name'       => 'secondline_themes_body_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Body Font', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-body-font',
        'properties' => array( 'selector'   => 'body,  body input, body textarea, select' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 			'font_id'                    => 'montserrat',
 			'font_name'                  => 'Montserrat',
 			'font_weight_style'          => 'regular',
 			'font_color'                 => '#555555',
 		),
    );



    $controls['secondline_themes_nav_font_family'] = array(
        'name'       => 'secondline_themes_nav_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Navigation Font Family', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-navigation-font',
        'properties' => array( 'selector'   => 'nav#site-navigation, nav#secondline-themes-right-navigation' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 			'font_id'                    => 'roboto',
 			'font_name'                  => 'Roboto',
 			'font_weight_style'          => '400',
 		),
    );


    $controls['secondline_themes_sub_nav_font_family'] = array(
        'name'       => 'secondline_themes_sub_nav_font_family',
 	'type'        => 'font',
        'title'      =>  esc_html__('Sub-Navigation Font Family', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-sub-navigation-font',
        'properties' => array( 'selector'   => '.sf-menu ul, #main-nav-mobile' ),
 	'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_page_title_font_family'] = array(
        'name'       => 'secondline_themes_page_title_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Page Title Font', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-page-title',
        'properties' => array( 'selector'   => '#page-title-slt h1' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_page_sub_title_font_family'] = array(
        'name'       => 'secondline_themes_page_sub_title_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Page Sub-Title Font', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-page-title',
        'properties' => array( 'selector'   => '#page-title-slt h4' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );



    $controls['secondline_themes_heading_h1'] = array(
        'name'       => 'secondline_themes_heading_h1',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 1', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-default-headings',
        'properties' => array( 'selector'   => 'h1' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );

    $controls['secondline_themes_heading_h2'] = array(
        'name'       => 'secondline_themes_heading_h2',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 2', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-default-headings',
        'properties' => array( 'selector'   => 'h2' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );

    $controls['secondline_themes_heading_h3'] = array(
        'name'       => 'secondline_themes_heading_h3',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 3', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-default-headings',
        'properties' => array( 'selector'   => 'h3' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );

    $controls['secondline_themes_heading_h4'] = array(
        'name'       => 'secondline_themes_heading_h4',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 4', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-default-headings',
        'properties' => array( 'selector'   => 'h4' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );

    $controls['secondline_themes_heading_h5'] = array(
        'name'       => 'secondline_themes_heading_h5',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 5', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-default-headings',
        'properties' => array( 'selector'   => 'h5' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );

    $controls['secondline_themes_heading_h6'] = array(
        'name'       => 'secondline_themes_heading_h6',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Heading 6', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-default-headings',
        'properties' => array( 'selector'   => 'h6' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );



    $controls['secondline_themes_widget_font_family'] = array(
        'name'       => 'secondline_themes_widget_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Footer Main Font', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-widgets-font',
        'properties' => array( 'selector'   => 'footer#site-footer' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );

    $controls['secondline_themes_widget_font_link'] = array(
        'name'       => 'secondline_themes_widget_font_link',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Footer Link', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-widgets-font',
        'properties' => array( 'selector'   => 'footer#site-footer a' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_widget_font_link_hover'] = array(
        'name'       => 'secondline_themes_widget_font_link_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Footer Link Hover', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-widgets-font',
        'properties' => array( 'selector'   => 'footer#site-footer a:hover' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_copyright_font_family'] = array(
        'name'       => 'secondline_themes_copyright_font_family',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Copyright Font', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-copyright-font',
        'properties' => array( 'selector'   => '#copyright-text' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_footer_nav_link'] = array(
        'name'       => 'secondline_themes_footer_nav_link',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Footer Navigation', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-footer-nav-font',
        'properties' => array( 'selector'   => 'footer#site-footer #secondline-themes-copyright ul.secondline-themes-footer-nav-container-class a, footer#site-footer ul.secondline-themes-footer-nav-container-class a' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );

    $controls['secondline_themes_footer_nav_link_hover'] = array(
        'name'       => 'secondline_themes_footer_nav_link_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Footer Navigation Hover', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-footer-nav-font',
        'properties' => array( 'selector'   => 'footer#site-footer #secondline-themes-copyright ul.secondline-themes-footer-nav-container-class li.current-menu-item a, footer#site-footer  #secondline-themes-copyright ul.secondline-themes-footer-nav-container-class a:hover, footer#site-footer ul.secondline-themes-footer-nav-container-class li.current-menu-item a, footer#site-footer ul.secondline-themes-footer-nav-container-class a:hover' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_widget_font_heading'] = array(
        'name'       => 'secondline_themes_widget_font_heading',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Footer Widget Heading', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-widgets-font',
        'properties' => array( 'selector'   => 'footer#site-footer h4.widget-title' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );



    $controls['secondline_themes_button_font_family'] = array(
        'name'       => 'secondline_themes_button_font_family',
 	'type'        => 'font',
        'title'      =>  esc_html__('Button Font Family', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-button-typography',
        'properties' => array( 'selector'   => '#boxed-layout-slt button.button, #boxed-layout-slt a.button, #infinite-nav-slt a, .post-password-form input[type=submit], #respond input#submit, .wpcf7-form input.wpcf7-submit' ),
 	'default' => array(
		'subset'                     => 'latin',
		'text_decoration'            => 'none',
 		),
    );


    $controls['secondline_themes_blog_category_font'] = array(
        'name'       => 'secondline_themes_blog_category_font',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Category', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-blog-headings',
        'properties' => array( 'selector'   => '.blog-meta-category-list a, .blog-meta-category-list a:hover' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_blog_title_font'] = array(
        'name'       => 'secondline_themes_blog_title_font',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Title', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-blog-headings',
        'properties' => array( 'selector'   => 'h2.secondline-blog-title' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );


    $controls['secondline_themes_blog_byline_font'] = array(
        'name'       => 'secondline_themes_blog_byline_font',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Meta and Date', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-blog-headings',
        'properties' => array( 'selector'   => '.secondline-post-meta' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );

    $controls['secondline_themes_blog_byline_link_font'] = array(
        'name'       => 'secondline_themes_blog_byline_link_font',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Meta Link', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-blog-headings',
        'properties' => array( 'selector'   => '.secondline-post-meta a:hover, .secondline-post-meta a' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );



    $controls['secondline_themes_blog_post_title'] = array(
        'name'       => 'secondline_themes_blog_post_title',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Title', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-blog-post-styles',
        'properties' => array( 'selector'   => 'h1.blog-page-title' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );

    $controls['secondline_themes_blog_post_meta'] = array(
        'name'       => 'secondline_themes_blog_post_meta',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Post Meta', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-blog-post-styles',
        'properties' => array( 'selector'   => '.single-secondline-post-meta, .single-secondline-post-meta a, .single-secondline-post-meta a:hover' ),
 		 'default' => array(
 			'subset'                     => 'latin',
 		),
    );






    $controls['secondline_themes_sidebar_default'] = array(
        'name'       => 'secondline_themes_sidebar_default',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Default Text', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );


    $controls['secondline_themes_sidebar_heading'] = array(
        'name'       => 'secondline_themes_sidebar_heading',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Heading', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar h4.widget-title' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );

    $controls['secondline_themes_sidebar_link'] = array(
        'name'       => 'secondline_themes_sidebar_link',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Default Link', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar a' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );

    $controls['secondline_themes_sidebar_link_hover'] = array(
        'name'       => 'secondline_themes_sidebar_link_hover',
 		 'type'        => 'font',
        'title'      =>  esc_html__('Sidebar Link Hover', 'podcaster-secondline'),
        'tab'        => 'secondline-themes-sidebar-headings',
        'properties' => array( 'selector'   => '.sidebar ul li.current-cat, .sidebar ul li.current-cat a, .sidebar a:hover' ),
 		 'default' => array(
 	 			'subset'                     => 'latin',
 	 			'text_decoration'            => 'none',
 			),
    );


	// Return the controls.
    return $controls;
}
add_filter( 'tt_font_get_option_parameters', 'secondline_themes_add_control_to_tab' );
